---
title: Element.scrollTop
slug: Web/API/Element/scrollTop
tags:
  - API
  - CSSOM View
  - NeedsArtUpdate
  - NeedsMarkupWork
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p><span class="seoSummary">The <code><strong>Element.scrollTop</strong></code> property gets or sets the number of pixels that an element's content is scrolled vertically.</span></p>

<p>An element's <code>scrollTop</code> value is a measurement of the distance from the element's top to its topmost <em>visible</em> content. When an element's content does not generate a vertical scrollbar, then its <code>scrollTop</code> value is <code>0</code>.</p>

<p>When <code>scrollTop</code> is used on the root element (the <code>&lt;html&gt;</code> element), the <code>scrollY</code> of the window is returned. <a href="https://www.w3.org/TR/2016/WD-cssom-view-1-20160317/#dom-element-scrolltop">This is a special case of <code>scrollTop</code></a>.</p>

<div class="warning">
<p>On systems using display scaling, <code>scrollTop</code> may give you a decimal value.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">// Get the number of pixels scrolled.
var <var>intElemScrollTop</var> = someElement.scrollTop;
</pre>

<p>After running this code, <code><var>intElemScrollTop</var></code> is an integer corresponding to the number of pixels that the {{domxref("element")}}'s content has been scrolled upwards.</p>

<pre class="brush: js">// Set the number of pixels scrolled.
<var>element</var>.scrollTop = <var>intValue</var>;
</pre>

<p><code>scrollTop</code> can be set to any integer value, with certain caveats:</p>

<ul>
 <li>If the element can't be scrolled (e.g. it has no overflow or if the element has a property of "<strong>non-scrollable</strong>"), <code>scrollTop</code> is <code>0</code>.</li>
 <li><code>scrollTop</code> doesn't respond to negative values; instead, it sets itself back to <code>0</code>.</li>
 <li>If set to a value greater than the maximum available for the element, <code>scrollTop</code> settles itself to the maximum value.</li>
</ul>

<h2 id="Example">Example</h2>

<div id="offsetContainer" style="margin: 40px 50px 50px; background-color: rgb(255, 255, 204); border: 4px dashed black; color: black; position: relative; display: inline-block;">
<div id="idDiv" style="margin: 24px 29px; border: 24px black solid; padding: 0px 28px; width: 199px; height: 102px; overflow: auto; background-color: white; font-size: 13px!important; font-family: Arial, sans-serif;">
<p id="PaddingTopLabel" style="text-align: center; font-style: italic; font-weight: bold; font-size: 13px!important; font-family: Arial, sans-serif; margin: 0px;">padding-top</p>
<em><strong>If you can see this, scrollTop = 0</strong></em>

<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.</p>
<strong><em>If you can see this, scrollTop is &gt; 0</em></strong>

<p>Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.</p>
<strong><em>If you can see this, scrollTop is maxed-out</em></strong>

<p id="PaddingBottomLabel" style="text-align: center; font-style: italic; font-weight: bold; font-size: 13px!important; font-family: Arial, sans-serif; margin: 0px;">padding-bottom</p>
</div>
<strong style="color: blue; font-family: arial,sans-serif; font-size: 13px!important; font-weight: bold; left: -32px; position: absolute; top: 85px;">Left</strong> <strong style="color: blue; font-family: arial,sans-serif; font-size: 13px!important; font-weight: bold; left: 170px; position: absolute; top: -24px;">Top</strong> <strong style="color: blue; font-family: arial,sans-serif; font-size: 13px!important; font-weight: bold; left: 370px; position: absolute; top: 85px;">Right</strong> <strong style="color: blue; font-family: arial,sans-serif; font-size: 13px!important; font-weight: bold; left: 164px; position: absolute; top: 203px;">Bottom</strong> <em>margin-top</em> <em>margin-bottom</em> <em>border-top</em> <em>border-bottom</em></div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View', '#dom-element-scrolltop', 'scrollTop')}}</td>
   <td>{{Spec2("CSSOM View")}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Element.scrollTop")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://msdn.microsoft.com/en-us/library/hh781509(v=vs.85).aspx" title="MSDN Measuring Element Dimension and Location">MSDN's Measuring Element Dimension and Location</a></li>
 <li>{{domxref("Element.scrollLeft")}}</li>
 <li>{{domxref("Element.scrollTo()")}}</li>
</ul>
